module.exports = function() {
var mongoose = require('mongoose');
var Schema = mongoose.Schema;
var passportLocalMongoose = require('passport-local-mongoose');

var AccountSchema = new Schema({
    username: { 
    	type: String, 
    	lowercase: true, 
    	unique: true, 
    	required: true 
    }, 
    password: String,
    email: { 
    	type: String, 
    	lowercase: true
    },
    admin: { type: Boolean, default: false }    
});

AccountSchema.plugin(passportLocalMongoose);

return mongoose.model('Account', AccountSchema);
}