module.exports = function(app) {

// set flash messages to local variables
app.use(function(req, res, next){
    res.locals.success = req.flash('success');
    res.locals.error = req.flash('error');
    next();
});

// check if user is logged in
app.use(function (req, res, next) {
  if (req.isAuthenticated()) {
    res.locals.user = req.user;     
    return next();
  } else {
    return next();        
  }
});

};	